MSVMOCAS(1)

NAME
msvmocas - train a multi-class linear SVM classifier

SYNOPSIS
msvmocas [options] example_file model_file

DESCRIPTION
msvmocas is a program that trains a multi-class linear SVM classifier using the Optimized Cutting Plane Algorithm for Support Vector Machines (OCAS) and produces a model file.

example_file is a file with training examples in SVM^light format, and model_file is the file in which to store the learned linear rule f(x)=W'*x. model_file contains M columns and D lines, where M is the number of classes and D the number of dimensions, corresponding to the elements of the matrix W [D x M].

OPTIONS
A summary of options is included below.

General options:

-h  Show summary of options.

-v (0|1)
    Set the verbosity level (default: 1)

Learning options:

-c float
    Regularization constant C. (default: 1)

-n integer
    Use only the first integer examples for training. By default, integer equals the number of examples in example_file.

Optimization options:

-m (0|1)
    Solver to be used:

    0 ... standard cutting plane (equivalent to BMRM, SVM^perf)

    1 ... OCAS (default)

-s integer
    Cache size for cutting planes. (default: 2000)

Stopping conditions:

-a float
    Absolute tolerance TolAbs: halt if QP-QD <= TolAbs. (default: 0)

-r float
    Relative tolerance TolAbs: halt if QP-QD <= abs(QP)*TolRel. (default: 0.01)

-q float
    Desired objective value QPValue: halt is QP <= QPValue. (default: 0)

-t float
    Halts if the solver time (loading time is not counted) exceeds the time given in seconds. (default: infinity)

EXAMPLES
Train the multi-class SVM classifier from example file example4_train.light, with the regularization constant C=10, verbosity switched off, and save model to msvmocas.model:

     msvmocas -c 10 -v 0 example4_train.light msvmocas.model

Compute the testing error of the classifier stored in msvmocas.model with linclassif(1) using testing examples from example4_test.light and save the predicted labels to example4_test.pred:

     linclassif -e -o example4_test.pred example4_test.light msvmocas.model

SEE ALSO
svmocas(1), linclassif(1).

AUTHORS
msvmocas was written by Vojtech Franc <xfrancv@cmp.felk.cvut.cz> and Soeren Sonnenburg <Soeren.Sonnenburg@tu-berlin.de>.

This manual page was written by Christian Kastner <debian@kvr.at>, for the Debian project (and may be used by others).